Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.crypto.fips.provider
Class SecureRandom

    java.lang.Object
      |
      +--java.security.SecureRandomSpi
            |
            +--com.ibm.crypto.fips.provider.SecureRandom

All Implemented Interfaces:
  AlgorithmStatus, java.io.Serializable

public final class SecureRandom
extends java.security.SecureRandomSpi
implements java.io.Serializable, AlgorithmStatus

This class provides a cryptographically strong pseudo-random number generator based on the SHA1 message digest algorithm. Note that if a seed is not provided, we will generate a seed from a true random number generator(TRNG).

Version:
  1.0, 07/09/99
Author:
  Joyce Leung
See Also:
  Serialized Form

Constructor Summary
`SecureRandom()`
`SecureRandom(byte[] seed)`

Method Summary
`byte[]` | `engineGenerateSeed(int numBytes)`
`void` | `engineNextBytes(byte[] bytes)`
`void` | `engineSetSeed(byte[] seed)`
`protected byte[]` | `internalGenerateSeed(int numBytes)`
`protected void` | `internalNextBytes(byte[] bytes)`
`protected void` | `internalSetSeed(byte[] seed)`
`boolean` | `isFipsApproved()` Module identifies if the cryptographic operation (algorithm) is FIPS certified

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecureRandom

    public SecureRandom()

### SecureRandom

    public SecureRandom(byte[] seed)

Method Detail

### isFipsApproved

    public boolean isFipsApproved()

  Description copied from interface: `AlgorithmStatus`
  Module identifies if the cryptographic operation (algorithm) is FIPS certified
  Specified by:
    `isFipsApproved` in interface `AlgorithmStatus`
  See Also:
    `AlgorithmStatus.isFipsApproved()`

### engineSetSeed

    public void engineSetSeed(byte[] seed)

  Overrides:
    `engineSetSeed` in class `java.security.SecureRandomSpi`

### internalSetSeed

    protected void internalSetSeed(byte[] seed)

### engineNextBytes

    public void engineNextBytes(byte[] bytes)

  Overrides:
    `engineNextBytes` in class `java.security.SecureRandomSpi`

### internalNextBytes

    protected void internalNextBytes(byte[] bytes)

### engineGenerateSeed

    public byte[] engineGenerateSeed(int numBytes)

  Overrides:
    `engineGenerateSeed` in class `java.security.SecureRandomSpi`

### internalGenerateSeed

    protected byte[] internalGenerateSeed(int numBytes)

Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD